Page MenuHomePhabricator

[mips][microMIPS] Implement CodeGen support for SLL16 and SRL16 instructions
ClosedPublic

Authored by jkolek on Oct 23 2014, 5:06 AM.

Details

Summary

Implement CodeGen support for 16-bit microMIPS SLL16 and SRL16 instructions.

Diff Detail

Repository
rL LLVM

Event Timeline

jkolek updated this revision to Diff 15320.Oct 23 2014, 5:06 AM
jkolek retitled this revision from to [mips][microMIPS] Implement CodeGen support for SLL16 and SRL16 instructions.
jkolek updated this object.
jkolek edited the test plan for this revision. (Show Details)
jkolek added reviewers: dsanders, sstankovic, vmedic.
jkolek added subscribers: zoran.jovanovic, Unknown Object (MLST).
sstankovic added inline comments.Oct 23 2014, 6:34 AM
lib/Target/Mips/MipsInstrInfo.td
1102 ↗(On Diff #15320)

You don't need HasStdEnc here, because parent class InstSE sets it.

test/CodeGen/Mips/micromips-srl.ll
1 ↗(On Diff #15320)

I think it would be better if you merge this file with the test/CodeGen/Mips/micromips-sll.ll, and name the resulting file (for example) test/CodeGen/Mips/micromips-shift.ll.

sstankovic added inline comments.Oct 24 2014, 1:12 AM
test/CodeGen/Mips/micromips-sll.ll
2 ↗(On Diff #15320)

'\' at the end of first line is missing. Also, colon after RUN on the second line is missing.

jkolek updated this revision to Diff 15402.Oct 24 2014, 5:00 AM
  • 'HasStdEnc' removed from 'AdditionalPredicates'
  • The files 'micromips-sll.ll' and 'micromips-srl.ll' merged to 'micromips-shift.ll'
jkolek updated this revision to Diff 15405.Oct 24 2014, 5:24 AM
jkolek updated this revision to Diff 15409.Oct 24 2014, 6:21 AM
sstankovic accepted this revision.Oct 28 2014, 9:06 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Oct 28 2014, 9:06 AM
Diffusion closed this revision.Nov 5 2014, 7:57 AM
Diffusion updated this revision to Diff 15809.

Closed by commit rL221352 (authored by zjovanovic).